> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Record grade, lead and result



## OpenAPI

````yaml /openapi/storefront.yaml put /api/v2/storefront/demand-inbox/{rfpId}/ledger
openapi: 3.1.0
info:
  title: Semicola Exchange storefront API
  version: 2.0.0
  description: >-
    Seller (storefront) endpoints: storefront setup, inventory sources,
    products, AI Business Rules, playbook, demand inbox, proposals, approvals
    and seller reporting.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Storefront
  - name: Inventory Sources
  - name: Products
  - name: Business Rules
  - name: Playbook
  - name: Library
  - name: Demand Inbox
  - name: Proposals
  - name: Approvals
  - name: Creative Reviews
  - name: Media Buys
  - name: Buyers
  - name: Reporting
  - name: Activity
  - name: Test Runs
paths:
  /api/v2/storefront/demand-inbox/{rfpId}/ledger:
    put:
      tags:
        - Demand Inbox
      summary: Record grade, lead and result
      operationId: putStorefrontDemandInboxByRfpIdLedger
      parameters:
        - name: rfpId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                grade:
                  type: string
                  enum:
                    - A
                    - B
                    - C
                    - D
                    - E
                    - F
                ledBy:
                  type: string
                  enum:
                    - agent
                    - human
                commercialResult:
                  type: string
                  enum:
                    - pending
                    - closed_won
                    - closed_lost
                feedback:
                  type: string
                  maxLength: 4000
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          rfpId:
                            type: string
                          latestTurnId:
                            type:
                              - string
                              - 'null'
                          latestTurnState:
                            anyOf:
                              - type: string
                                enum:
                                  - queued
                                  - processing
                                  - ready
                                  - passed
                                  - needs_clarification
                                  - failed
                              - type: 'null'
                          briefSummary:
                            type: string
                          buyerLabel:
                            type:
                              - string
                              - 'null'
                          advertiserLabel:
                            type:
                              - string
                              - 'null'
                          receivedAt:
                            type: string
                            format: date-time
                            pattern: >-
                              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                          responseKind:
                            anyOf:
                              - type: string
                                enum:
                                  - product_offer
                                  - proposal
                                  - no_offer
                                  - unavailable
                              - type: 'null'
                          result:
                            type: string
                            enum:
                              - pending
                              - closed_won
                              - closed_lost
                          grade:
                            anyOf:
                              - type: string
                                enum:
                                  - A
                                  - B
                                  - C
                                  - D
                                  - E
                                  - F
                              - type: 'null'
                          ledBy:
                            anyOf:
                              - type: string
                                enum:
                                  - agent
                                  - human
                              - type: 'null'
                          endorsed:
                            type: boolean
                        required:
                          - rfpId
                          - latestTurnId
                          - latestTurnState
                          - briefSummary
                          - buyerLabel
                          - advertiserLabel
                          - receivedAt
                          - responseKind
                          - result
                          - grade
                          - ledBy
                          - endorsed
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````